//Usart_init

#include<stdint.h>				//Bibliotheken einbinden
#include<avr/io.h>

void Usart_init(unsigned int baud)
{
	UBRRH = (unsigned int) (baud >>8);		//Baudrate einstellen
	UBRRL = (unsigned int) baud;

	//Frame Format
	UCSRC = (0 << UMSEL) | (0 << UPM0) | (1 << USBS) | (3 << UCSZ0);

	//Reciever und Transmitter einschalten
	UCSRB = (1 << RXEN) | (1 << TXEN);
} 
